Create an identity verification
Beta
Create an identity verification linked to an applicant.If successful, you receive a 201 Created response with the identity verification resource.
Ensure you use your identity verification configuration ID.
Body·
required
application/json
- Type: object
- Type: string ·applicant
_id Pattern: ^aplt_\w+$requiredThe applicant's unique identifier.
- Type: object ·declared
_data requiredThe personal details provided by the applicant.
- Type: string ·user
_journey _id Pattern: ^usj_[a-z2-7]{26}$Your configuration ID.
Responses
- application/json
- application/json
- 401
Unauthorized
- application/json
- 500
Internal Server Error
- 503
Service Unavailable
Request Example for post/identity-verifications
curl https://identity-verification.checkout.com/identity-verifications \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"declared_data": {
"name": "Hannah Bret"
}
}'
{
"id": "idv_tkoi5db4hryu5cei5vwoabr7we",
"created_on": "2025-07-21T17:32:28Z",
"modified_on": "2025-07-21T17:40:32Z",
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"user_journey_id": "usj_tkoi5db4hryu5cei5vwoabr7we",
"status": "pending",
"response_codes": [],
"risk_labels": [],
"certifications": [],
"declared_data": {
"name": "Hannah Bret",
"birth_date": "1994-10-15"
},
"documents": [
{
"full_name": "Hannah Bret",
"birth_date": "1934-10-02",
"document_type": "ID",
"document_issuing_country": "US",
"front_image_signed_url": "https://storage-b.env.ubble.ai/ubble-ai/NDYOOVHGZPAQ/a54b3393-f02a-47c9-a9c5-2f6ee73560e1/bb603e2f-5de9-40f2-9631-8285a33c24c0/tight_crops/FRA-I5-Front-bb603e2f-5de9-40f2-9631-8285a33c24c0-1679921906596.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=V9jgOdpOdeVSFTkA4ZsG%2F20230327%2Feu-west-2%2Fs3%2Faws4_request&X-Amz-Date=20230327T163228Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=87d8467ab92cbad7c00171af28e613d495f3ff441ce0ea59dd013d68abc50555"
}
],
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we"
},
"applicant": {
"href": "https://identity-verification.checkout.com/applicants/aplt_lkoi5db4hryu5cei5vwoabqere"
}
}
}